Skip to main content
GET
/
v1
/
apps
/
{appId}
/
git
/
branches
List branches in a repository
curl --request GET \
  --url https://api.agentmark.co/v1/apps/{appId}/git/branches \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
import requests

url = "https://api.agentmark.co/v1/apps/{appId}/git/branches"

headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://api.agentmark.co/v1/apps/{appId}/git/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    "<string>"
  ]
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

appId
string<uuid>
required

Query Parameters

repository
string
required

Repository identifier in owner/repo form, from the full_name field of the repositories list.

Required string length: 1 - 255

Response

Branch names in the requested repository.

data
string[]
required
Minimum string length: 1